For best experience Internet Explorer V4 or higher recommended.

Check Browser version...